Bug 91081 - AlpsPS/2 ALPS DualPoint TouchPad two finger scrolling is jumpy
Summary: AlpsPS/2 ALPS DualPoint TouchPad two finger scrolling is jumpy
Status: RESOLVED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: libinput (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-24 11:15 UTC by Ignacio Casal Quinteiro
Modified: 2015-08-13 00:01 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
evemu log (81.49 KB, text/plain)
2015-06-24 11:17 UTC, Ignacio Casal Quinteiro
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ignacio Casal Quinteiro 2015-06-24 11:15:33 UTC
So out of curiosity I tried today with the two finger scrolling, and trying to scroll a document in gedit is jumpy as in not very smooth. See though that I am currently using the package from here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10152166

See https://bugs.freedesktop.org/show_bug.cgi?id=90990 for reference.
Comment 1 Ignacio Casal Quinteiro 2015-06-24 11:17:05 UTC
Created attachment 116688 [details]
evemu log

Here you can find the log when scrolling with 2 fingers
Comment 2 Peter Hutterer 2015-07-14 00:22:32 UTC
this is a semi-mt touchpad where the resolution just isn't there when two fingers are on the touchpad. I'm almost tempted to disable two-finger scrolling on those pads.

have a look at the value jumps between the various ABS_MT_POSITION_X/Y coordinates, they are huge.
Comment 3 Ignacio Casal Quinteiro 2015-07-14 06:19:55 UTC
I wonder if it is a bug in the driver since on windows two finger scrolling is also the default way. Though I always preferred the edge one.
Comment 4 Peter Hutterer 2015-07-15 00:10:08 UTC
does the two-finger scrolling work fine in Windows?
Comment 5 Ignacio Casal Quinteiro 2015-07-15 06:27:49 UTC
yeah, on windows the two finger one seems to work fine. See also that for linux the driver was reverse engineered
Comment 6 Peter Hutterer 2015-07-22 05:23:53 UTC
judging by Hans' comments this should be fixed with recent kernels, any chance you can try that? looks like v4.2-rc1 has all the changes.
Comment 7 Peter Hutterer 2015-08-12 04:25:16 UTC
ping?
Comment 8 Ignacio Casal Quinteiro 2015-08-12 06:22:01 UTC
Peter, sorry for not replying. It seems f22 still has 4.1 so I'd rather wait for the update before messing up with the kernel.
Comment 9 Peter Hutterer 2015-08-13 00:01:45 UTC
ok, thanks. I'll close the bug for now, otherwise I keep clicking on it wondering why it's still open :)

As I said in Comment 6, the patches to fix this should've gone into v4.2-rc1, so if it the problem still occurs with that kernel, please reopen this bug.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.